function settheme(what) {
  theme.href = 'themes/links.php?title=' + what + '&type=css'
  
  var http=new httpobj()
  http.url('themes/links.php')
  http.method('get')
  http.add('title', what)
  http.add('type', 'js')
  http.func("themevars(text)")
  send(http)
}

function themevars(vars) {
  eval(vars)
  
  // Reshow everything
  scr.rethink()
  scr.update()
  
  for (var i = 0; i < scr.len; i++) {
    wnds[i].update()
    wnds[i].update_appbox()
  }
  
  for (var i = 0; i < navi.length; i++) {
    navi[i].update()
  }
  
  setTimeout("wrapper.style.display = 'block'", 500)
  setTimeout("navi[posis['appboxes']].check_abs_height(false)", 1000)
}